#### Specifying Scheme Program to Execute ¶

The Scheme module that defines message processing functions is given via the following options:

`-s module`
`--source module`

  Load Scheme code from module.

  This option stops further argument processing, and passes all remaining arguments as the value of args argument to the `guimb-getopt` function, if it is defined.

`-f module`
`--file module`

  Load Scheme source code from module. The remaining arguments are processed in the usual way. When using this option, you can pass additional options and or arguments to the module by enclosing them in `-{` and `-}` options (see Passing Options to Scheme).

An experimental option is provided, that evaluates a supplied Scheme expression right after loading the module:

`-e expr`
`--expression expr`

  Evaluate scheme expression.